summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/pygame/README1
-rw-r--r--libraries/pygame/pygame.SlackBuild18
-rw-r--r--libraries/pygame/pygame.info2
-rw-r--r--libraries/pygame/slack-desc8
4 files changed, 17 insertions, 12 deletions
diff --git a/libraries/pygame/README b/libraries/pygame/README
index 3612e2b1ef..8e7cbc387a 100644
--- a/libraries/pygame/README
+++ b/libraries/pygame/README
@@ -3,4 +3,3 @@ Pygame is a set of Python modules designed for writing games.
It is written on top of the excellent SDL library. This allows you to create
fully featured games and multimedia programs in the python language. Pygame
is highly portable and runs on nearly every platform and operating system.
-
diff --git a/libraries/pygame/pygame.SlackBuild b/libraries/pygame/pygame.SlackBuild
index 1da5a331bc..82c1a6a1a2 100644
--- a/libraries/pygame/pygame.SlackBuild
+++ b/libraries/pygame/pygame.SlackBuild
@@ -1,24 +1,21 @@
#!/bin/sh
## Written by hollywoodb (hollywoodb@fastmail.fm)
-
-# Verify script is being run by root user.
-if [ "$(id -u)" != "0" ]; then
- echo "This script must be run as root!"
- exit
-fi
+# Modified by the SlackBuilds.org project
NAME=pygame
VERSION=1.7.1
-SRCVERSION=${VERSION}release
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$NAME
OUTPUT=${OUTPUT:-/tmp}
+SRCVERSION=${VERSION}release
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -28,6 +25,7 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
+rm -rf $NAME-$SRCVERSION
tar -xzvf $CWD/$NAME-$SRCVERSION.tar.gz || exit 1
cd $NAME-$SRCVERSION || exit 1
chown -R root:root .
@@ -52,7 +50,7 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
# Let's extract the installable tarball now into $PKG
# Since we're in the right place, strip everything and build the package
cd $PKG
-tar -xzf $TMP/$NAME-$SRCVERSION/dist/$NAME-$SRCVERSION.linux-i686.tar.gz || exit 1
+tar xzf $TMP/$NAME-$SRCVERSION/dist/$NAME-$SRCVERSION.linux-i686.tar.gz || exit 1
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/libraries/pygame/pygame.info b/libraries/pygame/pygame.info
index 6d2315179e..a6e63ccd6a 100644
--- a/libraries/pygame/pygame.info
+++ b/libraries/pygame/pygame.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://www.pygame.org/ftp/pygame-1.7.1release.tar.gz"
MD5SUM="05d86d1af446f79411359400951053b7"
MAINTAINER="hollywoodb"
EMAIL="hollywoodb@fastmail.fm"
-APPROVED="robw810"
+APPROVED="rworkman"
diff --git a/libraries/pygame/slack-desc b/libraries/pygame/slack-desc
index 24f5c3f4a1..37fc40831f 100644
--- a/libraries/pygame/slack-desc
+++ b/libraries/pygame/slack-desc
@@ -1,3 +1,11 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
pygame: pygame (a set of Python modules designed for writing games)
pygame:
pygame: pygame is written on top of the excellent SDL library. This allows you